Debian Bug report logs - #334829
Spamd spams my syslog

version graph

Package: spamassassin; Maintainer for spamassassin is Noah Meyerhans <noahm@debian.org>; Source for spamassassin is src:spamassassin.

Reported by: Peter Chubb <peter@chubb.wattle.id.au>

Date: Thu, 20 Oct 2005 03:03:04 UTC

Severity: normal

Found in version spamassassin/3.1.0a-1

Fixed in version spamassassin/3.1.1-1

Done: Duncan Findlay <duncf@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Duncan Findlay <duncf@debian.org>:
Bug#334829; Package spamassassin. Full text and rfc822 format available.

Acknowledgement sent to Peter Chubb <peter@chubb.wattle.id.au>:
New Bug report received and forwarded. Copy sent to Duncan Findlay <duncf@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Peter Chubb <peter@chubb.wattle.id.au>
To: submit@bugs.debian.org
Subject: Spamd spams my syslog
Date: Thu, 20 Oct 2005 12:50:39 +1000
Package: spamassassin
Version: 3.1.0a-1

Under heavy load, at fairly regular intervals, the file lock on the
Bayesian databases gets contended, and so I see, on and on and on:

Oct 14 08:46:30 wombat spamd[1091]: bayes: cannot open bayes databases /var/mail/.spamassassin/bayes_* R/W: lock failed: File exists
Oct 14 08:46:30 wombat spamd[25321]: bayes: cannot open bayes databases /var/mail/.spamassassin/bayes_* R/W: lock failed: File exists
Oct 14 08:46:30 wombat spamd[25322]: bayes: cannot open bayes databases /var/mail/.spamassassin/bayes_* R/W: lock failed: File exists
Oct 14 08:46:30 wombat spamd[1091]: bayes: cannot open bayes databases /var/mail/.spamassassin/bayes_* R/W: lock failed: File exists
Oct 14 08:46:30 wombat spamd[25321]: bayes: cannot open bayes databases /var/mail/.spamassassin/bayes_* R/W: lock failed: File exists
Oct 14 08:46:30 wombat spamd[25322]: bayes: cannot open bayes databases /var/mail/.spamassassin/bayes_* R/W: lock failed: File exists
Oct 14 08:46:30 wombat spamd[1091]: bayes: cannot open bayes databases /var/mail/.spamassassin/bayes_* R/W: lock failed: File exists
Oct 14 08:46:30 wombat spamd[25321]: bayes: cannot open bayes databases /var/mail/.spamassassin/bayes_* R/W: lock failed: File exists
Oct 14 08:46:30 wombat spamd[25322]: bayes: cannot open bayes databases /var/mail/.spamassassin/bayes_* R/W: lock failed: File exists
Oct 14 08:46:30 wombat spamd[1091]: bayes: cannot open bayes databases /var/mail/.spamassassin/bayes_* R/W: lock failed: File exists
Oct 14 08:47:03 wombat spamd[1074]: bayes: cannot open bayes databases /var/mail/.spamassassin/bayes_* R/W: lock failed: File exists
Oct 14 08:47:03 wombat spamd[1074]: bayes: cannot open bayes databases /var/mail/.spamassassin/bayes_* R/W: lock failed: File exists
Oct 14 08:47:03 wombat spamd[1074]: bayes: cannot open bayes databases /var/mail/.spamassassin/bayes_* R/W: lock failed: File exists
Oct 14 08:47:03 wombat spamd[1074]: bayes: cannot open bayes databases /var/mail/.spamassassin/bayes_* R/W: lock failed: File exists
Oct 14 08:47:04 wombat spamd[1091]: bayes: cannot open bayes databases /var/mail/.spamassassin/bayes_* R/W: lock failed: File exists
Oct 14 08:47:04 wombat spamd[1091]: bayes: cannot open bayes databases /var/mail/.spamassassin/bayes_* R/W: lock failed: File exists
Oct 14 08:47:04 wombat spamd[1091]: bayes: cannot open bayes databases /var/mail/.spamassassin/bayes_* R/W: lock failed: File exists
Oct 14 08:47:04 wombat spamd[1091]: bayes: cannot open bayes databases /var/mail/.spamassassin/bayes_* R/W: lock failed: File exists
Oct 14 08:47:19 wombat spamd[1091]: bayes: cannot open bayes databases /var/mail/.spamassassin/bayes_* R/W: lock failed: File exists
Oct 14 08:47:19 wombat spamd[1091]: bayes: cannot open bayes databases /var/mail/.spamassassin/bayes_* R/W: lock failed: File exists
Oct 14 08:47:19 wombat spamd[1091]: bayes: cannot open bayes databases /var/mail/.spamassassin/bayes_* R/W: lock failed: File exists
Oct 14 08:47:19 wombat spamd[1091]: bayes: cannot open bayes databases /var/mail/.spamassassin/bayes_* R/W: lock failed: File exists
Oct 14 08:47:20 wombat spamd[25321]: bayes: cannot open bayes databases /var/mail/.spamassassin/bayes_* R/W: lock failed: File exists
Oct 14 08:47:20 wombat spamd[25321]: bayes: cannot open bayes databases /var/mail/.spamassassin/bayes_* R/W: lock failed: File exists
Oct 14 08:47:20 wombat spamd[25321]: bayes: cannot open bayes databases /var/mail/.spamassassin/bayes_* R/W: lock failed: File exists
Oct 14 08:47:20 wombat spamd[25321]: bayes: cannot open bayes databases /var/mail/.spamassassin/bayes_* R/W: lock failed: File exists
Oct 14 08:47:21 wombat spamd[1074]: bayes: cannot open bayes databases /var/mail/.spamassassin/bayes_* R/W: lock failed: File exists
Oct 14 08:47:21 wombat spamd[25322]: bayes: cannot open bayes databases /var/mail/.spamassassin/bayes_* R/W: lock failed: File exists
Oct 14 08:47:21 wombat spamd[1074]: bayes: cannot open bayes databases /var/mail/.spamassassin/bayes_* R/W: lock failed: File exists
Oct 14 08:47:21 wombat spamd[25322]: bayes: cannot open bayes databases /var/mail/.spamassassin/bayes_* R/W: lock failed: File exists
Oct 14 08:47:21 wombat spamd[1074]: bayes: cannot open bayes databases /var/mail/.spamassassin/bayes_* R/W: lock failed: File exists
Oct 14 08:47:21 wombat spamd[25322]: bayes: cannot open bayes databases /var/mail/.spamassassin/bayes_* R/W: lock failed: File exists
Oct 14 08:47:21 wombat spamd[1074]: bayes: cannot open bayes databases /var/mail/.spamassassin/bayes_* R/W: lock failed: File exists
Oct 14 08:47:21 wombat spamd[25322]: bayes: cannot open bayes databases /var/mail/.spamassassin/bayes_* R/W: lock failed: File exists
Oct 14 08:47:29 wombat spamd[25321]: bayes: cannot open bayes databases /var/mail/.spamassassin/bayes_* R/W: lock failed: File exists
Oct 14 08:47:29 wombat spamd[25321]: bayes: cannot open bayes databases /var/mail/.spamassassin/bayes_* R/W: lock failed: File exists
Oct 14 08:47:29 wombat spamd[25321]: bayes: cannot open bayes databases /var/mail/.spamassassin/bayes_* R/W: lock failed: File exists
Oct 14 08:47:29 wombat spamd[25321]: bayes: cannot open bayes databases /var/mail/.spamassassin/bayes_* R/W: lock failed: File exists
Oct 14 08:47:31 wombat spamd[1091]: bayes: cannot open bayes databases /var/mail/.spamassassin/bayes_* R/W: lock failed: File exists
Oct 14 08:47:31 wombat spamd[1091]: bayes: cannot open bayes databases /var/mail/.spamassassin/bayes_* R/W: lock failed: File exists
Oct 14 08:47:31 wombat spamd[1091]: bayes: cannot open bayes databases /var/mail/.spamassassin/bayes_* R/W: lock failed: File exists
Oct 14 08:47:31 wombat spamd[1091]: bayes: cannot open bayes databases /var/mail/.spamassassin/bayes_* R/W: lock failed: File exists
Oct 14 08:47:33 wombat spamd[1074]: bayes: cannot open bayes databases /var/mail/.spamassassin/bayes_* R/W: lock failed: File exists
Oct 14 08:47:33 wombat spamd[25322]: bayes: cannot open bayes databases /var/mail/.spamassassin/bayes_* R/W: lock failed: File exists
Oct 14 08:47:33 wombat spamd[1074]: bayes: cannot open bayes databases /var/mail/.spamassassin/bayes_* R/W: lock failed: File exists
Oct 14 08:47:33 wombat spamd[25322]: bayes: cannot open bayes databases /var/mail/.spamassassin/bayes_* R/W: lock failed: File exists
Oct 14 08:47:33 wombat spamd[1074]: bayes: cannot open bayes databases /var/mail/.spamassassin/bayes_* R/W: lock failed: File exists
Oct 14 08:47:33 wombat spamd[25322]: bayes: cannot open bayes databases /var/mail/.spamassassin/bayes_* R/W: lock failed: File exists
Oct 14 08:47:33 wombat spamd[1074]: bayes: cannot open bayes databases /var/mail/.spamassassin/bayes_* R/W: lock failed: File exists
Oct 14 08:47:33 wombat spamd[25322]: bayes: cannot open bayes databases /var/mail/.spamassassin/bayes_* R/W: lock failed: File exists
Oct 14 08:47:44 wombat spamd[1074]: bayes: cannot open bayes databases /var/mail/.spamassassin/bayes_* R/W: lock failed: File exists
Oct 14 08:47:44 wombat spamd[1074]: bayes: cannot open bayes databases /var/mail/.spamassassin/bayes_* R/W: lock failed: File exists
Oct 14 08:47:44 wombat spamd[1074]: bayes: cannot open bayes databases /var/mail/.spamassassin/bayes_* R/W: lock failed: File exists
Oct 14 08:47:44 wombat spamd[1074]: bayes: cannot open bayes databases /var/mail/.spamassassin/bayes_* R/W: lock failed: File exists
Oct 14 08:47:45 wombat spamd[1091]: bayes: cannot open bayes databases /var/mail/.spamassassin/bayes_* R/W: lock failed: File exists
Oct 14 08:47:45 wombat spamd[1091]: bayes: cannot open bayes databases /var/mail/.spamassassin/bayes_* R/W: lock failed: File exists
Oct 14 08:47:45 wombat spamd[1091]: bayes: cannot open bayes databases /var/mail/.spamassassin/bayes_* R/W: lock failed: File exists
Oct 14 08:47:45 wombat spamd[1091]: bayes: cannot open bayes databases /var/mail/.spamassassin/bayes_* R/W: lock failed: File exists
Oct 14 08:47:47 wombat spamd[25322]: bayes: cannot open bayes databases /var/mail/.spamassassin/bayes_* R/W: lock failed: File exists
Oct 14 08:47:47 wombat spamd[25322]: bayes: cannot open bayes databases /var/mail/.spamassassin/bayes_* R/W: lock failed: File exists
Oct 14 08:47:47 wombat spamd[25322]: bayes: cannot open bayes databases /var/mail/.spamassassin/bayes_* R/W: lock failed: File exists
Oct 14 08:47:47 wombat spamd[25322]: bayes: cannot open bayes databases /var/mail/.spamassassin/bayes_* R/W: lock failed: File exists




Information forwarded to debian-bugs-dist@lists.debian.org, Duncan Findlay <duncf@debian.org>:
Bug#334829; Package spamassassin. Full text and rfc822 format available.

Acknowledgement sent to "Sam Snow" <snowsam@laurel-point.net>:
Extra info received and forwarded to list. Copy sent to Duncan Findlay <duncf@debian.org>. Full text and rfc822 format available.

Message #10 received at 334829@bugs.debian.org (full text, mbox):

From: "Sam Snow" <snowsam@laurel-point.net>
To: 334829@bugs.debian.org
Subject: spamassassin/bayes_* R/W: lock failed: File exists
Date: Mon, 7 Nov 2005 15:18:41 -0600 (CST)
My solution to this was to switch to using SQL as my bayes store rather
than the file system.

You might be able to use a different locking method (see the docs), but I
am unsure if that will help or not. Please investigate and let everyone
know!




Message sent on to Peter Chubb <peter@chubb.wattle.id.au>:
Bug#334829. Full text and rfc822 format available.

Message #13 received at 334829-submitter@bugs.debian.org (full text, mbox):

From: Duncan Findlay <duncf@debian.org>
To: 334829-submitter@bugs.debian.org
Subject: Bug?
Date: Tue, 8 Nov 2005 16:04:07 -0500
[Message part 1 (text/plain, inline)]
Excuse me for being a little dense here, but what's the bug? You're
running under heavy load, and multiple spamd instances cant write to
the bayes database at the same time. As a result, spamd logs a warning
message.

This looks like intended behaviour to me.

If you're suggesting that spamd shouldn't be logging this error
message to syslog, you're welcome to have spamd log to another output
using the -s or --syslog option to spamd.

If you're suggesting that spamd shouldn't be logging this message at
all, then I'm not sure I agree with you. Perhaps you shouldn't be
relying on a DB file bayes database with such heavy load. :-)

In any case, I'm not sure what fix you propose; please let me know.

Sorry for the delayed response.

Thanks,
-- 
Duncan Findlay
[signature.asc (application/pgp-signature, inline)]

Information stored:
Bug#334829; Package spamassassin. Full text and rfc822 format available.

Acknowledgement sent to Peter Chubb <peterc@gelato.unsw.edu.au>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #18 received at 334829-quiet@bugs.debian.org (full text, mbox):

From: Peter Chubb <peterc@gelato.unsw.edu.au>
To: Duncan Findlay <duncf@debian.org>, 334829-quiet@bugs.debian.org
Subject: Re: Bug#334829: Bug?
Date: Wed, 9 Nov 2005 09:22:55 +1100
>>>>> "Duncan" == Duncan Findlay <duncf@debian.org> writes:

Duncan> Excuse me for being a little dense here, but what's the bug?

The bug is that I'm seeing all these messages, and don't know how to
fix the problem they're reporting.  If it's normal behaviour, then it
shouldn't be reported; if it's abnormal behaviour then there should
be a way to fix it.

Duncan> If you're suggesting that spamd shouldn't be logging this
Duncan> message at all, then I'm not sure I agree with you. Perhaps
Duncan> you shouldn't be relying on a DB file bayes database with such
Duncan> heavy load. :-)

What are the alternatives?


Duncan> In any case, I'm not sure what fix you propose; please let me
Duncan> know.

A separate update process perhaps, so you don't need to lock the
database for writing?

-- 
Dr Peter Chubb  http://www.gelato.unsw.edu.au  peterc AT gelato.unsw.edu.au
The technical we do immediately,  the political takes *forever*



Information stored:
Bug#334829; Package spamassassin. Full text and rfc822 format available.

Acknowledgement sent to Duncan Findlay <duncf@debian.org>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #23 received at 334829-quiet@bugs.debian.org (full text, mbox):

From: Duncan Findlay <duncf@debian.org>
To: Peter Chubb <peterc@gelato.unsw.edu.au>
Cc: 334829-quiet@bugs.debian.org
Subject: Re: Bug#334829: Bug?
Date: Tue, 8 Nov 2005 20:07:38 -0500
[Message part 1 (text/plain, inline)]
On Wed, Nov 09, 2005 at 09:22:55AM +1100, Peter Chubb wrote:
> The bug is that I'm seeing all these messages, and don't know how to
> fix the problem they're reporting.  If it's normal behaviour, then it
> shouldn't be reported; if it's abnormal behaviour then there should
> be a way to fix it.

It's "normal" behaviour, but suboptimal behaviour. Given that spamd,
by default, logs a few lines for every message processed, this is
relatively minor. (If you're using logcheck, you may wish to ignore
this message.)

> Duncan> If you're suggesting that spamd shouldn't be logging this
> Duncan> message at all, then I'm not sure I agree with you. Perhaps
> Duncan> you shouldn't be relying on a DB file bayes database with such
> Duncan> heavy load. :-)
> 
> What are the alternatives?

Firstly, you can use a journal for writing to the database, using the
"bayes_learn_to_journal" option (see man
Mail::SpamAssassin::Conf). Alternatively you can use the SQL, mySQL,
or PgSQL storage modules, which are documented in
/usr/share/doc/spamassassin/sql/README.gz

> Duncan> In any case, I'm not sure what fix you propose; please let me
> Duncan> know.
> 
> A separate update process perhaps, so you don't need to lock the
> database for writing?

The journal option above is just that.

-- 
Duncan Findlay
[signature.asc (application/pgp-signature, inline)]

Information stored:
Bug#334829; Package spamassassin. Full text and rfc822 format available.

Acknowledgement sent to Peter Chubb <peterc@gelato.unsw.edu.au>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #28 received at 334829-quiet@bugs.debian.org (full text, mbox):

From: Peter Chubb <peterc@gelato.unsw.edu.au>
To: Duncan Findlay <duncf@debian.org>
Cc: Peter Chubb <peterc@gelato.unsw.edu.au>, 334829-quiet@bugs.debian.org
Subject: Re: Bug#334829: Bug?
Date: Wed, 9 Nov 2005 14:03:42 +1100
>>>>> "Duncan" == Duncan Findlay <duncf@debian.org> writes:

Duncan> Firstly, you can use a journal for writing to the database,
Duncan> using the "bayes_learn_to_journal" option (see man
Duncan> Mail::SpamAssassin::Conf). Alternatively you can use the SQL,
Duncan> mySQL, or PgSQL storage modules, which are documented in
Duncan> /usr/share/doc/spamassassin/sql/README.gz


I have:

  bayes_path /var/mail/.spamassassin/bayes
  bayes_learn_to_journal 1

in /etc/spamassassin/local.cf

I *still* see the messages.
-- 
Dr Peter Chubb  http://www.gelato.unsw.edu.au  peterc AT gelato.unsw.edu.au
The technical we do immediately,  the political takes *forever*



Information stored:
Bug#334829; Package spamassassin. Full text and rfc822 format available.

Acknowledgement sent to Duncan Findlay <duncf@debian.org>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #33 received at 334829-quiet@bugs.debian.org (full text, mbox):

From: Duncan Findlay <duncf@debian.org>
To: Peter Chubb <peterc@gelato.unsw.edu.au>
Cc: 334829-quiet@bugs.debian.org
Subject: Re: Bug#334829: Bug?
Date: Wed, 9 Nov 2005 15:20:52 -0500
[Message part 1 (text/plain, inline)]
On Wed, Nov 09, 2005 at 02:03:42PM +1100, Peter Chubb wrote:
> >>>>> "Duncan" == Duncan Findlay <duncf@debian.org> writes:
> 
> Duncan> Firstly, you can use a journal for writing to the database,
> Duncan> using the "bayes_learn_to_journal" option (see man
> Duncan> Mail::SpamAssassin::Conf). Alternatively you can use the SQL,
> Duncan> mySQL, or PgSQL storage modules, which are documented in
> Duncan> /usr/share/doc/spamassassin/sql/README.gz
> 
> 
> I have:
> 
>   bayes_path /var/mail/.spamassassin/bayes
>   bayes_learn_to_journal 1
> 
> in /etc/spamassassin/local.cf
> 
> I *still* see the messages.

Are they happening with the same frequency? You might want to consider
using "per-user" Bayes databases instead, or one of the SQL ones.

I still not sure there's a bug here; it is inevitable that there is
some lock contention, and I think you should be informed of it.

-- 
Duncan Findlay
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Duncan Findlay <duncf@debian.org>:
Bug#334829; Package spamassassin. Full text and rfc822 format available.

Acknowledgement sent to Rich Johnson <rjohnson@dogstar-interactive.com>:
Extra info received and forwarded to list. Copy sent to Duncan Findlay <duncf@debian.org>. Full text and rfc822 format available.

Message #38 received at 334829@bugs.debian.org (full text, mbox):

From: Rich Johnson <rjohnson@dogstar-interactive.com>
To: 334829@bugs.debian.org
Date: Sun, 12 Feb 2006 13:42:46 -0500
[Message part 1 (text/plain, inline)]
FWIW, I've been experiencing this symptom when running under _light_  
load--e.g. handling ~ 5 messages from fetchmail.  The following may  
help:

On my system the symptom was _always_ associated with a ''bayes:  
expire_old_tokens: child processing timeout at /usr/sbin/spamd line  
1088." message.   Here's the processing trace of a single message  
along with the R/W lock failures associated with two other messages  
(from /var/log/mail.log)  (unexpurgated log follows at the end):

Feb 12 12:02:13 creaky fetchmail[30122]: reading message rjohnson% 
dogstar-interactive.com@pop3.dogstar-interactive.com:8 of 17 (5775  
octets)
Feb 12 12:02:14 creaky spamd[29924]: spamd: connection from localhost  
[127.0.0.1] at port 60477
Feb 12 12:02:14 creaky spamd[29924]: spamd: setuid to Debian-exim  
succeeded
Feb 12 12:02:14 creaky spamd[29924]: spamd: processing message <dsnml2 
$m7v$1@sea.gmane.org> for Debian-exim:109
Feb 12 12:06:34 creaky spamd[29925]: bayes: cannot open bayes  
databases /var/spool/exim4/.spamassassin/bayes_* R/W: lock failed:  
File exists
Feb 12 12:06:58 creaky spamd[29925]: bayes: cannot open bayes  
databases /var/spool/exim4/.spamassassin/bayes_* R/W: lock failed:  
File exists
Feb 12 12:07:14 creaky spamd[29924]: bayes: expire_old_tokens: child  
processing timeout at /usr/sbin/spamd line 1088.
Feb 12 12:07:19 creaky spamd[29924]: spamd: clean message (-2.6/5.0)  
for Debian-exim:109 in 305.5 seconds, 6091 bytes.
Feb 12 12:07:19 creaky spamd[29924]: spamd: result: . -2 - BAYES_00  
scantime=305.5,size=6091,user=Debian- 
exim,uid=109,required_score=5.0,rhost=localhost,raddr=127.0.0.1,rport=60 
477,mid=<dsnml2$m7v 
$1@sea.gmane.org>,bayes=2.22044604925031e-16,autolearn=unavailable

I found the following 2 yr old comment at http:// 
www.sng.ecs.soton.ac.uk/cgi-bin/faq?_recurse=1&file=16:

SA tries to expire tokens itself but it does it very poorly. Even on  
a lightly
loaded system it does it too seldom and it takes too long to complete  
so locking
issues occur which will create huge files in short time. ...

And here's a workaround (adapted from the one given at the above  
website):
1. Add "bayes_auto_expire 0" to /etc/spamassassin/local.cf to
stop SA from trying (and failing) to expire old tokens.

2. Stop SA's client chain:
   ....
   /etc/init.d/exim4 stop
   /etc/init.d/spamassassin stop

3. Run "sa-learn --force-expire". (which takes ~25 secs on my machine)

4. Restart SA's client chain:
   /etc/init.d/spamassassin start
   /etc/init.d/exim4 start
   ....

5.  Bundle steps 2-4 into a crontab job(s).

With this workaround all my SA  R/W deadlocks have gone away.

I suspect some light may be shed on the problem by answering the  
question as to why SA's auto-expire deadlocks when ''sa-learn --force- 
expire'' runs to completion.


----------------------------------UNEXPURGATED /var/log/mail.log  
SEGMENT--------------------

Feb 12 12:02:09 creaky fetchmail[30122]: awakened at Sun Feb 12  
12:02:09 2006
Feb 12 12:02:13 creaky fetchmail[30122]: 17 messages (7 seen) for  
rjohnson%dogstar-interactive.com at pop3.dogstar-interactive.com  
(59311 octets).
Feb 12 12:02:13 creaky fetchmail[30122]: reading message rjohnson% 
dogstar-interactive.com@pop3.dogstar-interactive.com:8 of 17 (5775  
octets)
Feb 12 12:02:14 creaky spamd[29924]: spamd: connection from localhost  
[127.0.0.1] at port 60477
Feb 12 12:02:14 creaky spamd[29924]: spamd: setuid to Debian-exim  
succeeded
Feb 12 12:02:14 creaky spamd[29924]: spamd: processing message <dsnml2 
$m7v$1@sea.gmane.org> for Debian-exim:109
Feb 12 12:06:14 creaky fetchmail[30122]:  flushed
Feb 12 12:06:14 creaky fetchmail[30122]: reading message rjohnson% 
dogstar-interactive.com@pop3.dogstar-interactive.com:9 of 17 (3305  
octets)
Feb 12 12:06:14 creaky spamd[29925]: spamd: connection from localhost  
[127.0.0.1] at port 60480
Feb 12 12:06:14 creaky spamd[29925]: spamd: setuid to Debian-exim  
succeeded
Feb 12 12:06:15 creaky spamd[29925]: spamd: processing message <dsnl1i 
$g34$4@sea.gmane.org> for Debian-exim:109
Feb 12 12:06:34 creaky spamd[29925]: bayes: cannot open bayes  
databases /var/spool/exim4/.spamassassin/bayes_* R/W: lock failed:  
File exists
Feb 12 12:06:34 creaky spamd[29925]: spamd: clean message (-2.6/5.0)  
for Debian-exim:109 in 19.2 seconds, 3653 bytes.
Feb 12 12:06:34 creaky spamd[29925]: spamd: result: . -2 - BAYES_00  
scantime=19.2,size=3653,user=Debian- 
exim,uid=109,required_score=5.0,rhost=localhost,raddr=127.0.0.1,rport=60 
480,mid=<dsnl1i$g34 
$4@sea.gmane.org>,bayes=5.55111512312578e-17,autolearn=unavailable
Feb 12 12:06:34 creaky fetchmail[30122]:  flushed
Feb 12 12:06:34 creaky fetchmail[30122]: reading message rjohnson% 
dogstar-interactive.com@pop3.dogstar-interactive.com:10 of 17 (3348  
octets)
Feb 12 12:06:36 creaky spamd[29923]: prefork: child states: BB
Feb 12 12:06:36 creaky spamd[29925]: spamd: connection from localhost  
[127.0.0.1] at port 60481
Feb 12 12:06:36 creaky spamd[29923]: spamd: server successfully  
spawned child process, pid 30220
Feb 12 12:06:36 creaky spamd[29925]: spamd: setuid to Debian-exim  
succeeded
Feb 12 12:06:36 creaky spamd[29923]: prefork: child states: BBI
Feb 12 12:06:36 creaky spamd[29925]: spamd: processing message  
<i0Xm5BQeUQ@want> for Debian-exim:109
Feb 12 12:06:58 creaky spamd[29925]: bayes: cannot open bayes  
databases /var/spool/exim4/.spamassassin/bayes_* R/W: lock failed:  
File exists
Feb 12 12:06:58 creaky spamd[29925]: spamd: identified spam  
(20.9/5.0) for Debian-exim:109 in 22.5 seconds, 3698 bytes.
Feb 12 12:06:58 creaky spamd[29925]: spamd: result: Y 20 -  
BAYES_99,FAKE_HELO_EUDORAMAIL,FORGED_EUDORAMAIL_RCVD,FRONTPAGE,HTML_30_4 
0,HTML_MESSAGE,LONGWORDS,RCVD_IN_BL_SPAMCOP_NET,RCVD_IN_WHOIS_BOGONS,RCV 
D_IN_XBL,RCVD_NUMERIC_HELO,SUBJ_ALL_CAPS  
scantime=22.5,size=3698,user=Debian- 
exim,uid=109,required_score=5.0,rhost=localhost,raddr=127.0.0.1,rport=60 
481,mid=<i0Xm5BQeUQ@want>,bayes=0.99999970388423,autolearn=unavailable
Feb 12 12:06:58 creaky fetchmail[30122]: SMTP error: 550 Rejected
Feb 12 12:06:58 creaky fetchmail[30122]: SMTP listener refused delivery
Feb 12 12:06:58 creaky fetchmail[30122]:  flushed
Feb 12 12:06:58 creaky fetchmail[30122]: reading message rjohnson% 
dogstar-interactive.com@pop3.dogstar-interactive.com:11 of 17 (3295  
octets)
Feb 12 12:06:59 creaky spamd[30220]: spamd: connection from localhost  
[127.0.0.1] at port 60484
Feb 12 12:06:59 creaky spamd[30220]: spamd: setuid to Debian-exim  
succeeded
Feb 12 12:07:00 creaky spamd[29923]: prefork: child states: BIB
Feb 12 12:07:00 creaky spamd[30220]: spamd: processing message  
<20060212161536.M9797@crystalclearsoftware.com> for Debian-exim:109
Feb 12 12:07:14 creaky spamd[29924]: bayes: expire_old_tokens: child  
processing timeout at /usr/sbin/spamd line 1088.
Feb 12 12:07:18 creaky spamd[30220]: spamd: clean message (-2.6/5.0)  
for Debian-exim:109 in 19.5 seconds, 3655 bytes.
Feb 12 12:07:18 creaky spamd[30220]: spamd: result: . -2 -  
AWL,BAYES_00 scantime=19.5,size=3655,user=Debian- 
exim,uid=109,required_score=5.0,rhost=localhost,raddr=127.0.0.1,rport=60 
484,mid=<20060212161536.M9797@crystalclearsoftware.com>,bayes=0,autolear 
n=ham
Feb 12 12:07:18 creaky fetchmail[30122]:  flushed
Feb 12 12:07:19 creaky fetchmail[30122]: reading message rjohnson% 
dogstar-interactive.com@pop3.dogstar-interactive.com:12 of 17 (3925  
octets)
Feb 12 12:07:19 creaky spamd[29924]: spamd: clean message (-2.6/5.0)  
for Debian-exim:109 in 305.5 seconds, 6091 bytes.
Feb 12 12:07:19 creaky spamd[29924]: spamd: result: . -2 - BAYES_00  
scantime=305.5,size=6091,user=Debian- 
exim,uid=109,required_score=5.0,rhost=localhost,raddr=127.0.0.1,rport=60 
477,mid=<dsnml2$m7v 
$1@sea.gmane.org>,bayes=2.22044604925031e-16,autolearn=unavailable

[Message part 2 (text/html, inline)]

Reply sent to Duncan Findlay <duncf@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Peter Chubb <peter@chubb.wattle.id.au>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #43 received at 334829-close@bugs.debian.org (full text, mbox):

From: Duncan Findlay <duncf@debian.org>
To: 334829-close@bugs.debian.org
Subject: Bug#334829: fixed in spamassassin 3.1.1-1
Date: Sun, 07 May 2006 16:47:13 -0700
Source: spamassassin
Source-Version: 3.1.1-1

We believe that the bug you reported is fixed in the latest version of
spamassassin, which is due to be installed in the Debian FTP archive:

spamassassin_3.1.1-1.diff.gz
  to pool/main/s/spamassassin/spamassassin_3.1.1-1.diff.gz
spamassassin_3.1.1-1.dsc
  to pool/main/s/spamassassin/spamassassin_3.1.1-1.dsc
spamassassin_3.1.1-1_all.deb
  to pool/main/s/spamassassin/spamassassin_3.1.1-1_all.deb
spamassassin_3.1.1.orig.tar.gz
  to pool/main/s/spamassassin/spamassassin_3.1.1.orig.tar.gz
spamc_3.1.1-1_i386.deb
  to pool/main/s/spamassassin/spamc_3.1.1-1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 334829@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Duncan Findlay <duncf@debian.org> (supplier of updated spamassassin package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Wed,  9 Nov 2005 16:55:03 -0500
Source: spamassassin
Binary: spamassassin spamc
Architecture: source all i386
Version: 3.1.1-1
Distribution: unstable
Urgency: low
Maintainer: Duncan Findlay <duncf@debian.org>
Changed-By: Duncan Findlay <duncf@debian.org>
Description: 
 spamassassin - Perl-based spam filter using text analysis
 spamc      - Client for SpamAssassin spam filtering daemon
Closes: 300490 333131 333330 333792 333793 334829 335794 340753 348884 355475 356995 360994
Changes: 
 spamassassin (3.1.1-1) unstable; urgency=low
 .
   * New upstream release (Closes: #356995, #360994)
     - Better error handling when DNS is broken (Closes: #340753)
     - bayes_storage_module documented better (Closes: #333792)
     - Fix typo in UPGRADE (Closes: #335794)
     - Better exception handling (Closes: #333330, #333131)
     - Fix sa-learn --restore with SDBM (Closes: #333793)
   * Document broken identd servers (Closes: #355475)
   * Now depends on libarchive-tar-perl (Closes: #348884)
   * Add reference on how to force bayes expiry using a cronjob (Closes: #334829, #300490)
   * Drop logcheck files -- these should/will be in the logcheck-database package. (See bug #)
   * Move libnet-dns-perl back to a Recommends:. The loud warnings should
     have been silenced upstream.
Files: 
 042d69555f5c1b9c911c56c97da04e97 738 mail optional spamassassin_3.1.1-1.dsc
 f7844cbc149de3d7b09a4310f4ab6739 1129275 mail optional spamassassin_3.1.1.orig.tar.gz
 7a4f2ab6a74c93dff2c3d405eede33ff 27760 mail optional spamassassin_3.1.1-1.diff.gz
 03299985437eeca28e530e1f4bb3559a 941060 mail optional spamassassin_3.1.1-1_all.deb
 5ad62839c04565b968e6dffcfbe23d86 65780 mail optional spamc_3.1.1-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.3 (GNU/Linux)

iD8DBQFEXoZIqjUzNGvmnNARAl33AKDQT2LnoGQhau3fXwZnpflwztlEewCfaK8T
gQn3GrOsiblr+Ixu3Vi0oJY=
=SE9Q
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Duncan Findlay <duncf@debian.org>:
Bug#334829; Package spamassassin. Full text and rfc822 format available.

Acknowledgement sent to Greg Kochanski <gpk@kochanski.org>:
Extra info received and forwarded to list. Copy sent to Duncan Findlay <duncf@debian.org>. Full text and rfc822 format available.

Message #48 received at 334829@bugs.debian.org (full text, mbox):

From: Greg Kochanski <gpk@kochanski.org>
To: Debian Bug Tracking System <334829@bugs.debian.org>
Subject: spamassassin: Similar spamming if you run spamd as nobody.
Date: Wed, 10 Jan 2007 23:45:36 +0000
Package: spamassassin
Version: 3.1.7-1
Followup-For: Bug #334829


Note that the user ''nobody'' has /nonexistant as a home directory.

There ought to be a way to get rid of this stuff in the logfiles.
I've read the FM, but there does not seem to be an obvious solution,
other than running spamd as a real user, rather than as nobody
(and I'd prefer not to do that for security reasons).
((OK, I suppose I could create a user with no permissions just for spamd...))

Jan  9 06:29:56 kochanski spamd[920]: spamd: creating default_prefs: /nonexistent/.spamassassin/user_prefs 
Jan  9 06:29:56 kochanski spamd[920]: mkdir /nonexistent: Permission denied at /usr/share/perl5/Mail/SpamAssassin.pm line 1530 
Jan  9 06:29:56 kochanski spamd[920]: config: cannot write to /nonexistent/.spamassassin/user_prefs: No such file or directory 
Jan  9 06:29:56 kochanski spamd[920]: spamd: failed to create readable default_prefs: /nonexistent/.spamassassin/user_prefs 
Jan  9 06:29:58 kochanski spamd[920]: mkdir /nonexistent: Permission denied at /usr/share/perl5/Mail/SpamAssassin.pm line 1530 
Jan  9 06:29:58 kochanski spamd[920]: locker: safe_lock: cannot create tmp lockfile /nonexistent/.spamassassin/auto-whitelist.lock.gpk.lan.920 for /nonexistent/.spamassassin/auto-whitelist.lock: No such file or directory 
Jan  9 06:29:58 kochanski spamd[920]: auto-whitelist: open of auto-whitelist file failed: locker: safe_lock: cannot create tmp lockfile /nonexistent/.spamassassin/auto-whitelist.lock.gpk.lan.920 for /nonexistent/.spamassassin/auto-whitelist.lock: No such file or directory 
Jan  9 06:29:58 kochanski spamd[920]: bayes: locker: safe_lock: cannot create tmp lockfile /var/lib/spamassassin/baye.lock.gpk.lan.920 for /var/lib/spamassassin/baye.lock: Permission denied 



-- System Information:
Debian Release: 4.0
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.18-3-686
Locale: LANG=en_GB, LC_CTYPE=en_GB (charmap=ISO-8859-1)

Versions of packages spamassassin depends on:
ii  libarchive-tar-perl           1.30-2     Archive::Tar - manipulate tar file
ii  libdigest-sha1-perl           2.11-1     NIST SHA-1 message digest algorith
ii  libhtml-parser-perl           3.55-1     A collection of modules that parse
ii  libsocket6-perl               0.19-1     Perl extensions for IPv6
ii  libwww-perl                   5.805-1    WWW client/server library for Perl
ii  perl                          5.8.8-7    Larry Wall's Practical Extraction 

Versions of packages spamassassin recommends:
ii  libmail-spf-query-perl       1:1.999.1-2 query SPF (Sender Policy Framework
ii  libnet-dns-perl              0.59-1      Perform DNS queries from a Perl sc
ii  perl [libmime-base64-perl]   5.8.8-7     Larry Wall's Practical Extraction 
ii  spamc                        3.1.7-1     Client for SpamAssassin spam filte

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#334829; Package spamassassin. Full text and rfc822 format available.

Acknowledgement sent to Duncan Findlay <duncf@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #53 received at 334829@bugs.debian.org (full text, mbox):

From: Duncan Findlay <duncf@debian.org>
To: Greg Kochanski <gpk@kochanski.org>, 334829@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#334829: spamassassin: Similar spamming if you run spamd as nobody.
Date: Wed, 14 Feb 2007 20:46:14 -0500
[Message part 1 (text/plain, inline)]
notfound 334829 3.1.7-1
thanks

On Wed, Jan 10, 2007 at 11:45:36PM +0000, Greg Kochanski wrote:
> Note that the user ''nobody'' has /nonexistant as a home directory.

> There ought to be a way to get rid of this stuff in the logfiles.
> I've read the FM, but there does not seem to be an obvious solution,
> other than running spamd as a real user, rather than as nobody
> (and I'd prefer not to do that for security reasons).
> ((OK, I suppose I could create a user with no permissions just for spamd...))

This is a different issue than the one discussed in this bug.

I think you need to make sure you aren't using the -c/--create-prefs
option for spamd (usually set in /etc/default/spamassassin), and if
this isn't enough, make sure you turn off use_bayes in the
spamassassin configuration. Please open a new bug if this isn't
sufficient.

Sorry for the delay in replying.
-- 
Duncan Findlay
[Message part 2 (application/pgp-signature, inline)]

Bug marked as not found in version 3.1.7-1. Request was from Duncan Findlay <duncf@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 25 Jun 2007 01:26:47 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 08:00:57 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.